Developer Documentation

Signals | Public Member Functions | List of all members
ToolboxInterface Class Reference

Plugins can add its own toolbox to the main widget's toolbox area by using this interface. More...

`#include <OpenFlipper/BasePlugin/ToolboxInterface.hh>`

Inheritance diagram for ToolboxInterface:

## Signals
virtual void | addToolbox (QString _name, QWidget *_widget)
| Add a toolbox widget to the gui with the given name. More...

## Public Member Functions
virtual | ~ToolboxInterface ()
| Destructor.
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon)
| Add a toolbox widget to the gui with the given name and an icon. More...
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon, QWidget *_headerAreaWidget)
| Add a toolbox widget to the gui with the given name, icon and header area widget. More...

## Detailed Description

Plugins can add its own toolbox to the main widget's toolbox area by using this interface.

Detailed description
This Interface can be used by plugins which will provide a toolbox widget. Each Plugin can create own Widgets in the toolbox area. Just create your widget and then add it with
emit addToolbox( QString _name , QWidget* _widget )
to the user interface. You can create extra signals and slots in your Plugin. These can be connected between your toolbox and your plugin.
See our tutorials Implementing a mesh smoother plugin and Implementing mouse and keyboard interaction for an example of to add custom toolboxes to OpenFlipper.

Definition at line 68 of file ToolboxInterface.hh.

## Member Function Documentation

## ◆ addToolbox [1/3]

virtual void ToolboxInterface::addToolbox | ( | QString | _name,
|  | QWidget * | _widget
| ) |  |
| inline virtual signal

Add a toolbox widget to the gui with the given name.

This signal adds a toolbox widget to the toolbox area on the right. Hint: Ownership of the widget is expected to be transferred with this signal. Do not delete the widget in your plugins destructor.

Parameters

  _name | Visible name of the toolbox
  _widget | Pointer to the toolbox widget

Definition at line 88 of file ToolboxInterface.hh.

## ◆ addToolbox() [2/3]

virtual void ToolboxInterface::addToolbox | ( | QString | _name,
|  | QWidget * | _widget,
|  | QIcon * | _icon
| ) |  |
| inline virtual

Add a toolbox widget to the gui with the given name and an icon.

This signal adds a toolbox widget to the toolbox area on the right. And sets an icon for it Hint: Ownership of the widget is expected to be transferred with this signal. Do not delete the widget in your plugins destructor.

Parameters

  _name | Visible name of the toolbox
  _widget | Pointer to the toolbox widget
  _icon | Icon for the toolbox

Definition at line 100 of file ToolboxInterface.hh.

## ◆ addToolbox() [3/3]

virtual void ToolboxInterface::addToolbox | ( | QString | _name,
|  | QWidget * | _widget,
|  | QIcon * | _icon,
|  | QWidget * | _headerAreaWidget
| ) |  |
| inline virtual

Add a toolbox widget to the gui with the given name, icon and header area widget.

This signal adds a toolbox widget to the toolbox area on the right. And sets an icon for it Hint: Ownership of the widget is expected to be transferred with this signal. Do not delete the widget in your plugins destructor.

Parameters

  _name | Visible name of the toolbox
  _widget | Pointer to the toolbox widget
  _icon | Icon for the toolbox
  _headerAreaWidget | Widget displayed in the toolbox header between the title and the detach button.

Definition at line 114 of file ToolboxInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/ToolboxInterface.hh